BEEM - Android XMPP - Feature #82

Chat State
04/05/2009 12:54 AM - Nikita Kozlov

Status: Assigned Start date: 04/05/2009
Priority: Normal Due date: 06/25/2009
Assignee: Frédéric Barthéléry % Done: 30%
Category: XMPP Estimated time: 30.00 hours
Target version: 0.2

Description

Represents the current state of a users interaction with another user.
Implemented according to http://www.xmpp.org/extensions/xep-0085.html

Associated revisions

Revision 188:00aee9a42555 - 05/17/2009 04:42 PM - Nikita Kozlov

IssuelD #82

Le chate state est bien envoyer et recu coter ui, il faut encore
I'afficher, et donc prevoir un endroit ou l'afficher. Je laisse ca a
barbi car je sais qu'il adore ¢a :D

Revision 188:00aee9a42555 - 05/17/2009 04:42 PM - nikita@nikita-portable
History

#1 - 04/05/2009 12:54 AM - Nikita Kozlov

- Status changed from New to Assigned

#2 - 04/21/2009 08:15 PM - Nikita Kozlov
- % Done changed from 0 to 20

C'est gerer coter service pour la reception de I'event chatStateChange, il faut encore rajouter sa dans le IMessageListener pour recuperer dans I'ui.
Il faudrai aussi envoyer des events vers les correspondants.

#3 - 05/17/2009 04:45 PM - Nikita Kozlov

- Due date set to 06/25/2009

- Assignee changed from Nikita Kozlov to Philippe Lago
- % Done changed from 20 to 30

- Estimated time set to 30.00 h

On recupere bien le chat state dans SendIM.
Il faut encore I'afficher quelque part dans I'ui.
Je passe le flambeau a barbu, j'ai assez massacrer son activity pour la journee !

#4 - 06/25/2009 09:29 AM - Philippe Lago
- % Done changed from 30 to 60

Depuis gtalk on ne récupére que I'état <active/>. Pour le moment j'affiche ce status en brut. Il faudrait implémenter différemment ces messages pour
que ce soit plus "user friendly"
#5 - 06/25/2009 09:51 AM - Frédéric Barthéléry
Philippe Lago wrote:

Depuis gtalk on ne récupére que I'état <active/>. Pour le moment j'affiche ce status en brut. Il faudrait implémenter différemment ces messages
pour que ce soit plus "user friendly"

Avec openfire j'optiens les autres messages possible (active, composing, inactive, paused, gone). donc c'est soit le client web de gmail qui les envois
pas tous correctement, soit google qui le gere pas du tout de facon standard.
On devrait juste afficher un message pour composing et le desactiver sur les autres etats. (ou bien gerer tous les cas. au choix)

#6 - 11/19/2009 04:20 PM - Vincent Véronis

- Status changed from Assigned to Feedback

- Assignee deleted (Philippe Lago)

- Target version deleted (Prototype before 1.5 - SFR_Version)

#7 - 12/05/2009 08:18 PM - Nikita Kozlov
- Status changed from Feedback to New
- Target version set to 0.2

- % Done changed from 60 to 30
Ce n'est plus dans le Chat.

#8 - 03/13/2010 08:25 PM - Frédéric Barthéléry
- Status changed from New to Assigned

- Assignee set to Frédéric Barthéléry

Reception and display of chat state done.
